    The XSPEC zxipcf model: partial covering absorption by partially ionized material.

xszxipcf
The xszxipcf model is a multiplicative model component.

The model is described at [1] .

The logxi parameter has been renamed log_xi to match the XSPEC definition. The name logxi can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xszxipcf", "mdl")
>>> print(mdl)

Create a component of the xszxipcf model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Nh thawed 10 0.05 500 10^22 atoms / cm^2 mdl.log_xi thawed 3 -3 6 mdl.CvrFract thawed 0.5 0 1 mdl.redshift frozen 0 -0.999 10

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Nh
The column density, in units of 10^22 cm^2.
log_xi
The log of xi: see [1] for more details.
CvrFract
The covering fraction.
redshift
The redshift of the source.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelZxipcf.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023